dbXML API

## com.dbxml.db.admin.nodes
Class RoleNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode
          com.dbxml.db.admin.nodes.RoleNode

All Implemented Interfaces:
  HasCollection, HasMenu

public final class RoleNode
extends AdminNode
implements HasMenu, HasCollection

RoleNode

Field Summary
`static int` `ACTION_PERMISSIONS`
`static int` `ACTION_REMOVE_DATABASE`
`static int` `ACTION_REMOVE_USER`
`static int` `COLLECTION`
`static int` `DATABASE`
`static int` `USER`

Fields inherited from interface com.dbxml.db.admin.nodes.HasMenu
`REFRESH_CHILDREN, REFRESH_NONE, REFRESH_PARENT, REFRESH_SELF, REFRESH_TREE, REMOVE_SELF`

Constructor Summary
`RoleNode(AdminNode parentNode, CollectionClient col, java.lang.String id, int type)`
`RoleNode(AdminNode parentNode, CollectionClient col, java.lang.String id, int type, int permissions)`
`RoleNode(AdminNode parentNode, CollectionClient col, java.lang.String id, int type, java.lang.String userID)`

Method Summary
`CollectionClient` `getCollection()`
`javax.swing.Icon` `getIcon()`
`java.lang.String` `getLabel()`
`MenuItem[]` `getMenu()`
`java.lang.String` `getMenuTitle()`
`java.lang.String` `getTooltip()`
`int` `menuAction(int action)`

Methods inherited from class com.dbxml.db.admin.nodes.AdminNode
`close, getColor, getFont, getParentNode, isParentMenuInherited, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DATABASE

    public static final int DATABASE

See Also:
  Constant Field Values

### COLLECTION

    public static final int COLLECTION

See Also:
  Constant Field Values

### USER

    public static final int USER

See Also:
  Constant Field Values

### ACTION_REMOVE_DATABASE

    public static final int ACTION_REMOVE_DATABASE

See Also:
  Constant Field Values

### ACTION_PERMISSIONS

    public static final int ACTION_PERMISSIONS

See Also:
  Constant Field Values

### ACTION_REMOVE_USER

    public static final int ACTION_REMOVE_USER

See Also:
  Constant Field Values

Constructor Detail

### RoleNode

    public RoleNode(AdminNode parentNode,
                    CollectionClient col,
                    java.lang.String id,
                    int type,
                    int permissions)

### RoleNode

    public RoleNode(AdminNode parentNode,
                    CollectionClient col,
                    java.lang.String id,
                    int type,
                    java.lang.String userID)

### RoleNode

    public RoleNode(AdminNode parentNode,
                    CollectionClient col,
                    java.lang.String id,
                    int type)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AdminNode`

### getTooltip

    public java.lang.String getTooltip()

  Overrides:
    `getTooltip` in class `AdminNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `AdminNode`

### getCollection

    public CollectionClient getCollection()

  Specified by:
    `getCollection` in interface `HasCollection`

### getMenu

    public MenuItem[] getMenu()

  Specified by:
    `getMenu` in interface `HasMenu`

### getMenuTitle

    public java.lang.String getMenuTitle()

  Specified by:
    `getMenuTitle` in interface `HasMenu`
  Overrides:
    `getMenuTitle` in class `AdminNode`

### menuAction

    public int menuAction(int action)

  Specified by:
    `menuAction` in interface `HasMenu`
  Overrides:
    `menuAction` in class `AdminNode`

dbXML API

Copyright (c) 2004 The dbXML Group